
****  Demo 1 - Output Objects and the OUTPUT destination ****;   

/*********************************************************************/
/* Proc Print produces 1 output object.                                    */
/* Proc univariate produces 5 output objects                           */
/*********************************************************************/
libname demo 'c:\data\learning labs\ods';
options nodate;
title;footnote;
ods listing;
proc print data=demo.employees(obs=10);
run;
proc univariate data=demo.employees;
var salary;
run;

/**************************************************************************************/
/*  Use the ODS TRACE statement to determine the output object                */
/* names. Then use the ODS OUTPUT statement to create the SAS tables. */ 
/**************************************************************************************/
ods trace on/listing;
proc univariate data=demo.employees(obs=10);
var salary;
run;
ods trace off;

ods listing close;
ods output Moments=work.moments
                 BasicMeasures=work.basic
				 TestsForLocation=work.tests
				 Quantiles=work.quantiles
				 ExtremeObs=work.extreme;
proc univariate data=demo.employees;
var salary;
run;
ods output close;
ods listing;
